8 Replies Latest reply: Sep 17, 2009 1:08 PM by jschellSomeoneStoleMyAlias RSS

    throws Exception instead of subclass of Exception. Is information lost?

    807580
      Hi,

      Let's say a method throws an IOException and it's being catched like this in the calling class:
      try{
            methodCall(); // throws IOException
      }catch(Exception ex){
            throw ex;
      }
      What it does is that it's catching an Exception (not IOException) and then throws it.

      Will valuable info be lost by doing this?